<?php
require_once("class/class.bbdd.php");
$bbdd = new BBDD();

//Resposta per defecte (Negativa)
$response["success"] = "0";  

//Valida i adapta els paràmetres necessris
$userCode = $bbdd->checkParameter('userCode',true);

//Estableix paràmetre de busqueda buit
$where = false;

//Comprova que s'hagin validat els paràmetres
if ($userCode !== 0) {	
	//Realitza la consulta
	$result = $bbdd->select("Lists.listIden, Lists.listTitle, count( IngredientsLists.inliList ) AS listCont", "Lists LEFT OUTER JOIN IngredientsLists ON IngredientsLists.inliList = Lists.listIden","Lists.listUser = '".$userCode."' GROUP BY Lists.listIden");

	//Comprova que el resultat de la consulta no sigui nul
	if (!empty($result)) {  
		//Comprova que hi hagin resultats
		if (mysqli_num_rows($result) > 0) {  
			$response["success"] = "1";  
			$response["message"] = $bbdd->resultsToJson($result);
		} else {  
			$response["success"] = "2"; 
			$response["message"] = "No s'han generat llistes de compra.";		
		}
	} 
} else {	
	//Resposta: Falten paràmetres 
	$response["message"] = "No s'han especificat tots els paràmetres.";	
}

//Retorna els resultats en Json 
echo json_encode($response,JSON_UNESCAPED_UNICODE);  
?>